v1.0
post
/ec-ors-svc/rest/v1.0/studies/{studyId}/{mode}/randlists/{rndlistid}/randnumbers/randstatus/bulk
Accepts an asynchronous bulk randomization-number status update. Rights: OrsRandListPost and OrsUnblinded.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
rndlistid(required): string(uuid)
ID of the randomization list.Example:
C36A3197FDEE433FB5547EE83DE99E4B -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
C36A3197FDEE433FB5547EE83DE99E4B
Supported Media Types
- application/json
Root Schema : schema
Type:
objectRequest to asynchronously update randomization-number statuses in bulk.
Show Source
-
filters: object
BulkRandNumberSelectionCriteria
Filters used to select randomization numbers for a bulk status update.
-
randNumberIds: array
randNumberIds
Explicit randomization number IDs to update. Provide either randNumberIds or filters, not both.
-
reason(required): string
Reason for the bulk status update.Example:
Correction requested before randomization. -
requestedCount(required): integer
(int32)
Minimum Value:
1Number of randomization numbers expected to be updated.Example:10 -
toStatusId(required): integer
(int32)
Allowed Values:
[ 1, 2, 3 ]Target randomization status ID.Example:2
Nested Schema : BulkRandNumberSelectionCriteria
Type:
objectFilters used to select randomization numbers for a bulk status update.
Show Source
-
blockedBy: string
(uuid)
Blocking parameter source ID used to filter randomization numbers.
-
cohortId: string
Cohort source ID to filter by.Example:
D313327EF13845169A8ADADDA435431E -
searchString: string
Search text matched against randomization number or subject number.Example:
S1001 -
status: number
Allowed Values:
[ 1, 2, 3 ]Current randomization status ID to filter by.Example:2 -
treatmentSrcId: string
(uuid)
Treatment arm source ID to filter by. Not supported for minimization randomization lists.
Nested Schema : randNumberIds
Type:
arrayExplicit randomization number IDs to update. Provide either randNumberIds or filters, not both.
Show Source
Examples
Back to Top
Response
Supported Media Types
- application/json
202 Response
Successful operation
Root Schema : BulkRandNumberStatusUpdateResponse
Type:
objectResponse returned after a bulk randomization status update request is accepted.
Show Source
-
jobId: string
(uuid)
Identifier for the accepted bulk status update job.
-
message: string
Message describing the accepted request.Example:
Update will trigger email notification upon completion.
Examples
400 Response
Bad request.
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
Title:
ErrorResponseDataError Response Details Information -
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : result
Type:
objectResult Object
Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Example:
{
"field":"studyId",
"reason":"Invalid value"
}Examples
500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
Title:
ErrorResponseDataError Response Details Information -
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : result
Type:
objectResult Object
Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Example:
{
"field":"studyId",
"reason":"Invalid value"
}Examples